PUT
/workspaces/{workspaceId}/rulegroupsnamespaces/{name}
http://aps.{region}.amazonaws.com/workspaces/{workspaceId}/rulegroupsnamespaces/{name}Update a rule groups namespace.
Access Token Required: API Key
Path Parameters
namestringrequired
The rule groups namespace name.
workspaceIdstringrequired
The ID of the workspace in which to update the rule group namespace.
Body Params
datastringrequired
The rule groups namespace data.
clientTokenstring
An identifier used to ensure the idempotency of a write request.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request PUT \2 --url 'http://aps.{region}.amazonaws.com/workspaces/{workspaceId}/rulegroupsnamespaces/{name}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}